Create a streaming media upload session
/media/upload-sessionAuthorization
bearerAuth In: header
Header Parameters
Replay key scoped to the caller, Workspace, and operation
length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/media/upload-session" \ -H "Content-Type: application/json" \ -d '{ "filename": "string", "size": 0, "workspace_id": "string" }'{ "$schema": "https://example.com/api/v1/schemas/CreateMediaUploadSessionResponse.json", "complete_url": "string", "deduped": true, "media_id": "string", "project_asset_id": "string", "upload": { "expires_at": "string", "headers": { "property1": "string", "property2": "string" }, "method": "string", "object_key": "string", "url": "string" }}